# log4cpp::PatternLayout::PatternComponent Class Reference

`#include <PatternLayout.hh>`

Inheritance diagram for log4cpp::PatternLayout::PatternComponent:

[legend]
List of all members.

## Public Member Functions

virtual | ~PatternComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)=0

## Constructor & Destructor Documentation

virtual log4cpp::PatternLayout::PatternComponent::~PatternComponent | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void log4cpp::PatternLayout::PatternComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event |
| ) |  |  | `[pure virtual]`

Implemented in log4cpp::StringLiteralComponent, log4cpp::CategoryNameComponent, log4cpp::MessageComponent, log4cpp::NDCComponent, log4cpp::PriorityComponent, log4cpp::ThreadNameComponent, log4cpp::ProcessorTimeComponent, log4cpp::TimeStampComponent, log4cpp::SecondsSinceEpochComponent, log4cpp::MillisSinceEpochComponent, and log4cpp::FormatModifierComponent.

The documentation for this class was generated from the following file:

- PatternLayout.hh